#!/bin/bash
set -e
echo
echo Digits v1.3 Installer for Linux \(32 and 64-bit\)
echo
echo NOTE: You may need root access to run this installer. If it fails, please
echo retry as root.
echo
echo Common places to find the libraries are /usr/lib or /lib
echo
echo This will install the docs into /usr/share/doc/digits, presets into
echo /usr/share/digits/presets, and the .so into \$VST_PATH or
echo /usr/share/digits \(whichever comes first\)
echo
if [ -z $VST_PATH ]; then
	echo \$VST_PATH is not set
else
	echo \$VST_PATH detected as $VST_PATH
fi
echo
echo Return to continue or CTRL-C to quit
read
if [ -z "$VST_PATH" ]; then
	echo Setting VST_PATH to default /usr/share/digits...
	VST_PATH=/usr/share/digits
fi
# Remove old version if it exists (filename changed in 1.2B)
rm -f "$VST_PATH/DigitsVST.so"
# Install not used -- I liked this better
mkdir -pv /usr/share/doc/digits
mkdir -pv /usr/share/digits
mkdir -pv "$VST_PATH"

# Move old patches to OldPatches if they exist
if [ -e /usr/share/digits/presets ]; then
	echo Moving old patches into OldPatches bank directory
	mkdir -p /usr/share/digits/presets/OldPatches
	mv -f /usr/share/digits/presets/*.fxp /usr/share/digits/presets/OldPatches/ ||:
fi

cp -Rv presets /usr/share/digits/
cp -v "Digits Manual.pdf" /usr/share/doc/digits
cp -v DigitsVST-i686.so "$VST_PATH"
cp -v DigitsVST-x86_64.so "$VST_PATH"
echo Setting permissions...
chown root:root /usr/share/doc/digits
chmod 755 /usr/share/doc/digits/
chmod 644 "/usr/share/doc/digits/Digits Manual.pdf"
chown root:root /usr/share/digits
chown root:root /usr/share/digits/presets
chmod 755 /usr/share/digits 
chmod 755 /usr/share/digits/presets
find /usr/share/digits/presets -name "*.fxp" -exec chmod 644 {} \;
chown root:root "$VST_PATH"
chmod 755 "$VST_PATH"
chmod 755 "$VST_PATH/DigitsVST-i686.so"
chmod 755 "$VST_PATH/DigitsVST-x86_64.so"
echo
echo DONE! Please check /usr/share/doc/Digits Manual.pdf for
echo further instructions!
echo

